<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>{{ test_name }} - Вопрос {{ question_num }}</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">
    <style>
        body {
            font-size: 20px;
        }
        .correct { color: green; }
        .incorrect { color: red; }
        .nav-buttons {
            position: fixed;
            bottom: 10px;
            left: 50%;
            transform: translateX(-50%);
            display: flex;
            gap: 10px;
            font-size: 30px;
        }
        .nav-buttons-1 {
            position: fixed;
            bottom: 60px;
            left: 50%;
            transform: translateX(-50%);    
            display: flex;
            gap: 10px;
            font-size: 30px;
        }
    </style>
</head>
<body id="body" style="font-family: Arial, sans-serif;">
    <h1>Вопрос {{ question_num }}: {{' '.join(question.question[0].split(' ')[2:])}}</h1>
    {% for q in question.question[1:] %}
        <h2>{{q}}</h2>
    {% endfor %}
    {% if question.images %}
        <div>
            {% for image in question.images %}
                <img src="{{ url_for('static', filename='data/' + question.test_dir + '/images/' + image) }}" alt="Изображение">
            {% endfor %}
        </div>
    {% endif %}
    <form id="answerForm" action="{{ url_for('question', test_name=test_name, question_num=question_num) }}" method="post">
        {% if question.matching %}
            {% for key in question.matching.keys() %}
                <div style="padding-top: 10px; padding-bottom: 10px; margin: 0;">
                    <label>{{ key }}</label>
                    <select style="font-size: 20px" name="{{ key }}" class="{% if result %}{{ 'correct' if result and result[0] and result[0][key] == question.matching[key] else 'incorrect' }}{% endif %}">
                        <option value="" disabled selected>Выберите ответ</option>
                        {% for option in shuffled_options %}
                            <option value="{{ option }}" {% if result and result[0] and result[0][key] == option %}selected{% endif %}>{{ option }}</option>
                        {% endfor %}
                    </select>
                    {% if result and result[0] and result[0][key] != question.matching[key] %}
                        <span class="correct">Правильный ответ: {{ question.matching[key] }}</span>
                    {% endif %}
                </div>
            {% endfor %}
        {% elif question.answers | length == 1 %}
            <div style="padding-top: 10px; padding-bottom: 10px; margin: 0;">
                <input style="font-size: 20px" type="text" name="answer" value="{{ result[0][0] if result and result[0] else '' }}" class="{% if result %}{{ 'correct' if result and result[1] else 'incorrect' }}{% endif %}">
                {% if result and not result[1] %}
                    <span class="correct">Правильный ответ: {{ question.correct[0] }}</span>
                {% endif %}
            </div>
        {% elif question.correct | length == 1 %}
            {% for answer in question.answers %}
                <div style="padding-top: 10px; padding-bottom: 10px; margin: 0;">
                    <input type="radio" id="{{ answer }}" name="answers" value="{{ answer }}" {% if result and result[0] and answer in result[0] %}checked{% endif %}>
                    <label for="{{ answer }}" class="{% if result %}{{ 'correct' if answer in question.correct else 'incorrect' }}{% endif %}">
                        {% for line in answer.split('\n') %}
                            {{ line }}<br>
                        {% endfor %}
                    </label>
                </div>
            {% endfor %}
        {% else %}
            {% for answer in question.answers %}
                <div style="padding-top: 10px; padding-bottom: 10px; margin: 0;">
                    <input type="checkbox" id="{{ answer }}" name="answers" value="{{ answer }}" {% if result and result[0] and answer in result[0] %}checked{% endif %}>
                    <label for="{{ answer }}" class="{% if result %}{{ 'correct' if answer in question.correct else 'incorrect' }}{% endif %}">
                        {% for line in answer.split('\n') %}
                            {{ line }}<br>
                        {% endfor %}
                    </label>
                </div>
            {% endfor %}
        {% endif %}
        <button type="submit" style="display: none;">Ответить</button>
    </form>
    <div class="nav-buttons-1">
        <a href="{{ url_for('result', test_name=test_name) }}">Показать результаты</a>
    </div>
    <div class="nav-buttons">
        {% if prev_question_num %}
            <a href="{{ url_for('question', test_name=test_name, question_num=prev_question_num) }}">Назад</a>
        {% endif %}
        <button type="submit" form="answerForm" style="font-size: 30px">Ответить</button>
        {% if next_question_num %}
            <a href="{{ url_for('question', test_name=test_name, question_num=next_question_num) }}">Вперед</a>
        {% endif %}
    </div>
    <script>
        document.getElementById('answerForm').addEventListener('keydown', function(e) {
            if (e.key === 'Enter') {
                e.preventDefault();
                this.submit();
            }
        });

        document.getElementById('body').addEventListener('keydown', function(e) {
            if (e.key === 'ArrowRight') {
                e.preventDefault();
                if (+"{{ next_question_num }}" > 0) {
                    window.location.href = "{{ url_for('question', test_name=test_name, question_num=next_question_num) }}";
                }
            }
            if (e.key === 'ArrowLeft') {
                e.preventDefault();
                if (+"{{ prev_question_num }}" > 0) {
                    window.location.href = "{{ url_for('question', test_name=test_name, question_num=prev_question_num) }}";
                }
            }
        });
    </script>
</body>
</html>
    